angular.module('focaModalTipoFactura')
    .controller('focaModalTipoFacturaController', [
        '$timeout',
        '$filter',
        '$scope',
        '$uibModalInstance',
        'focaModalTipoFacturaService',
        'filters',
        function($timeout, $filter, $scope, $uibModalInstance, focaModalTipoFacturaService, filters) {

            $scope.filters = filters;
            $scope.tiposFactura = [];

            focaModalTipoFacturaService.getTiposFactura().then(function(res) {
                $scope.tiposFactura = res.data;
            });

            $scope.cancel = function() {
                $uibModalInstance.dismiss('cancel');
            };

            $scope.select = function(iva) {
                $uibModalInstance.close(iva);
            };
        }]
    );
